using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace WindowsApplication1
{
    public partial class frmPhoneNumberTypes : Form
    {
        public frmPhoneNumberTypes()
        {
            InitializeComponent();
        }

        private void grdFill()
        {
            FirstClass aa = new FirstClass();
            dataGridView1.DataSource = aa.dbOut(@"SELECT     PhonesTypeID AS [کد نوع شماره تلفن], PhoneNumberType AS [نوع شماره تلفن] FROM  PhoneNumberTypes");
        }


        private void dbIns()
        {

            if (textBox1.Text == "")
            {
                MessageBox.Show("فیلد نوع شماره تلفن باید وارد شود");
            }
            else
            {
                FirstClass db = new FirstClass();
                db.cmd.Parameters.Add("@PhoneNumberType", SqlDbType.NVarChar).Value = textBox1.Text.Trim();

                db.exeCommand("sp_PhoneNumberTypes_Insert");
                txtClear();
                MessageBox.Show("رکورد جدید درج شد");
                grdFill();
            }
        }

        private void txtClear()
        {
            textBox1.Text = "";
        }


        private void dbEdt()
        {
            if (textBox1.Text == "")
            {
                MessageBox.Show("فیلد نوع شماره تلفن باید وارد شود");
            }
            else if (textBox6.Text == "")
            {
                MessageBox.Show("لطفا کد نوع را وارد فرمائید");
            }
            else
            {
                FirstClass db = new FirstClass();
                db.cmd.Parameters.Add("@PhonesTypeID", SqlDbType.Int).Value = int.Parse(textBox6.Text.Trim());
                db.cmd.Parameters.Add("PhoneNumberType", SqlDbType.NVarChar).Value = textBox1.Text.Trim();


                db.exeCommand("sp_PhoneNumberTypes_Update");
                txtClear();
                MessageBox.Show("رکورد مورد نظر ویرایش شد");
                grdFill();
            }
        }

        private void dbDel()
        {
            if (textBox6.Text == "")
            {
                MessageBox.Show("لطفا کد شخص را وارد نمائید");
            }
            else
            {
                FirstClass db = new FirstClass();
                db.cmd.Parameters.Add("@PhonesTypeID", SqlDbType.Int).Value = int.Parse(textBox6.Text.Trim());
                db.exeCommand("sp_PhoneNumberTypes_DeleteRow");
                txtClear();
                MessageBox.Show("رکورد مورد نظر حذف شد");
                grdFill();
            }
        }


        private void frmPhoneNumberTypes_Load(object sender, EventArgs e)
        {
            grdFill();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            dbIns();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            dbEdt();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            dbDel();
        }


    }
}